function [] = QoS_Plots()

global cells;

load('X.mat');
load('Total_group_average_throughput_noQoS.mat');
load('Total_group_average_throughput_QoS.mat');
load('average_group_throughput_1_noQoS.mat');
load('average_group_throughput_2_noQoS.mat');
load('average_group_throughput_3_noQoS.mat');
load('average_group_throughput_1_QoS.mat');
load('average_group_throughput_2_QoS.mat');
load('average_group_throughput_3_QoS.mat');
load('average_end_to_end_delay1_noQoS.mat');
load('average_end_to_end_delay2_noQoS.mat');
load('average_end_to_end_delay3_noQoS.mat');
load('average_end_to_end_delay1_QoS.mat');
load('average_end_to_end_delay2_QoS.mat');
load('average_end_to_end_delay3_QoS.mat');

for cellno=1:1:length(cells)
    if strcmp(cells(cellno).type,'femto') 
        fig1=figure('Name',sprintf('%s','Mean Group throughput'),'NumberTitle','off');
        h=plot(X_time,Total_group_average_throughput_noQoS(:,cellno),'-k+','LineWidth',1.5);
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','NoQoS');
        t = title(sprintf('%s%i','Mean Group throughput for cell ',cellno));
        set(t, 'FontSize', 12);
        xlabel('Time (sec)','fontSize',12);
        ylabel('Throughput (bps)','fontSize',12);
        set(0,'defaultAxesFontName', 'Garamond');
        set(0,'defaultTextFontName', 'Garamond');
        set(gca,'fontSize',12);
        hold on;
        
        h=plot(X_time,Total_group_average_throughput_QoS(:,cellno),'-r*','LineWidth',1.5);
        set(h,'DisplayName','QoS');
        set(gca,'fontSize',12);
        hold off;
        leg= legend('Location','Best');
        set(leg,'FontSize',10)
        legend show;
        
        saveas(fig1,sprintf('%s %d.%s','Mean Group throughput for cell ',cellno,'fig'));
        print(fig1,'-dpng','-r1200',sprintf('%s %d.%s','Mean_Group_throughput for cell ',cellno,'png'));
        
        fig2=figure('Name',sprintf('%s %d.%s','Average End-To-End Delay Variance (BE)'),'NumberTitle','off');
        h=plot(X_time,average_end_to_end_delay1_QoS(:,cellno),'-r*','LineWidth',1.5);
        t = title(sprintf('%s%i','Average End-To-End Delay Variance (BE) for cell ',cellno));
        set(t, 'FontSize', 12);
        xlabel('Time (sec)','fontSize',12);
        ylabel('Delay (sec)','fontSize',12);
        set(0,'defaultAxesFontName', 'Garamond');
        set(0,'defaultTextFontName', 'Garamond');
        set(gca,'fontSize',12);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','QoS');
        h=plot(X_time,average_end_to_end_delay1_noQoS(:,cellno),'-k+','LineWidth',1.5);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','NoQos');
        hold off;
        leg= legend('Location','Best');
        set(leg,'FontSize',10)
        legend show;
        
        saveas(fig2,sprintf('%s %d.%s','Average End-To-End Delay Variance (BE) for cell ',cellno,'fig'));
        print(fig2,'-dpng','-r1200',sprintf('%s %d.%s','Average End-To-End Delay Variance (BE) for cell ',cellno,'png'));
        
        fig3=figure('Name',sprintf('%s %d.%s','Average End-To-End Delay Variance (CBR)'),'NumberTitle','off');
        h=plot(X_time,average_end_to_end_delay2_QoS(:,cellno),'-r*','LineWidth',1.5);
        t = title(sprintf('%s%i','Average End-To-End Delay Variance (CBR) for cell ',cellno));
        set(t, 'FontSize', 12);
        xlabel('Time (sec)','fontSize',12);
        ylabel('Delay (sec)','fontSize',12);
        set(0,'defaultAxesFontName', 'Garamond');
        set(0,'defaultTextFontName', 'Garamond');
        set(gca,'fontSize',12);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','QoS');
        h=plot(X_time,average_end_to_end_delay2_noQoS(:,cellno),'-k+','LineWidth',1.5);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','NoQos');
        hold off;
        leg= legend('Location','Best');
        set(leg,'FontSize',10)
        legend show;
        
        saveas(fig3,sprintf('%s %d.%s','Average End-To-End Delay Variance (CBR) for cell ',cellno,'fig'));
        print(fig3,'-dpng','-r1200',sprintf('%s %d.%s','Average End-To-End Delay Variance (CBR) for cell ',cellno,'png'));
        
        fig4=figure('Name',sprintf('%s %d.%s','Average End-To-End Delay Variance (VBR)'),'NumberTitle','off');
        h=plot(X_time,average_end_to_end_delay3_QoS(:,cellno),'-r*','LineWidth',1.5);
        t = title(sprintf('%s%i','Average End-To-End Delay Variance (VBR) for cell ',cellno));
        set(t, 'FontSize', 12);
        xlabel('Time (sec)','fontSize',12);
        ylabel('Delay (sec)','fontSize',12);
        set(0,'defaultAxesFontName', 'Garamond');
        set(0,'defaultTextFontName', 'Garamond');
        set(gca,'fontSize',12);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','QoS');
        h=plot(X_time,average_end_to_end_delay3_noQoS(:,cellno),'-k+','LineWidth',1.5);
        hold on;
        set(gcf,'color',[0.8 0.8 0.8]);
        set(h,'DisplayName','NoQos');
        hold off;
        leg= legend('Location','Best');
        set(leg,'FontSize',10)
        legend show;
        
        saveas(fig4,sprintf('%s %d.%s','Average End-To-End Delay Variance (VBR) for cell ',cellno,'fig'));
        print(fig4,'-dpng','-r1200',sprintf('%s %d.%s','Average End-To-End Delay Variance (VBR) for cell ',cellno,'png'));
    end;
end;

end

